; DMA controller (8237)

; Notes:
;
; Channels 0-3 for 8-bit DMA. Channel 4 is cascade. Channels 5-7 for 16-bit.
; For 8-bit DMA, the buffer cannot cross a 64-kB boundary.
; For 16-bit DMA, 128-kB.
;
; Channels:
;	0	Memory refresh
;	1	available
;	2	Floppy
;	3	available
;	4	Cascade
;	5-7	available (16-bit)
;

mask_reg	db	0x0A, 0x0A, 0x0A, 0x0A, 0xD4, 0xD4, 0xD4, 0xD4
mode_reg	db	0x0B, 0x0B, 0x0B, 0x0B, 0xD6, 0xD6, 0xD6, 0xD6
clear_reg	db	0x0C, 0x0C, 0x0C, 0x0C, 0xD8, 0xD8, 0xD8, 0xD8

page_port	db	0x87, 0x83, 0x81, 0x82, 0x8F, 0x8B, 0x89, 0x8A
addr_port	db	0x00, 0x02, 0x04, 0x06, 0xC0, 0xC4, 0xC8, 0xCC
count_port	db	0x01, 0x03, 0x05, 0x07, 0xC2, 0xC6, 0xCA, 0xCE


	global _dma_transfer
_dma_transfer:
;
; Parameters:
;	byte: Page    (Anywhere in first 16 megs of RAM)
;	word: Address
;	word: Length
;	byte: Channel (0-7)
;

	ret

